> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getStateRegistration

> 
The `getStateRegistration` API retrieves state registration information for a given state code.

### What it does:

- Provides state-specific registration information and requirements for payroll tax compliance



## OpenAPI

````yaml get /reports#getStateRegistration
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports#getStateRegistration:
    get:
      tags: []
      summary: getStateRegistration
      description: >-

        The `getStateRegistration` API retrieves state registration information
        for a given state code.


        ### What it does:


        - Provides state-specific registration information and requirements for
        payroll tax compliance
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getUser
                code:
                  type: string
              required:
                - method
                - code
            example:
              method: getStateRegistration
              code: WA
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  companyStateRegistrationFieldList:
                    type: object
                    properties:
                      Employment Security Department Account Number:
                        type: string
                      Universal Business ID (UBI):
                        type: string
                      Labor and Industries Account Number:
                        type: string
                      Required to pay PFML employer portion?:
                        type: string
                      EAF Tax Rate:
                        type: string
                      Unemployment Rate:
                        type: string
                    required:
                      - Employment Security Department Account Number
                      - Universal Business ID (UBI)
                      - Labor and Industries Account Number
                      - Required to pay PFML employer portion?
                      - EAF Tax Rate
                      - Unemployment Rate
                  fieldDescription:
                    type: object
                    properties:
                      Employment Security Department Account Number:
                        type: object
                        properties:
                          isMandatory:
                            type: boolean
                        required:
                          - isMandatory
                      Universal Business ID (UBI):
                        type: object
                        properties:
                          isMandatory:
                            type: boolean
                        required:
                          - isMandatory
                      Labor and Industries Account Number:
                        type: object
                        properties:
                          isMandatory:
                            type: boolean
                        required:
                          - isMandatory
                      Required to pay PFML employer portion?:
                        type: object
                        properties:
                          isMandatory:
                            type: boolean
                        required:
                          - isMandatory
                      EAF Tax Rate:
                        type: object
                        properties:
                          isMandatory:
                            type: boolean
                        required:
                          - isMandatory
                      Unemployment Rate:
                        type: object
                        properties:
                          isMandatory:
                            type: boolean
                        required:
                          - isMandatory
                    required:
                      - Employment Security Department Account Number
                      - Universal Business ID (UBI)
                      - Labor and Industries Account Number
                      - Required to pay PFML employer portion?
                      - EAF Tax Rate
                      - Unemployment Rate
                required:
                  - code
                  - companyStateRegistrationFieldList
                  - fieldDescription
              example:
                code: WA
                companyStateRegistrationFieldList:
                  Employment Security Department Account Number: ''
                  Universal Business ID (UBI): ''
                  Labor and Industries Account Number: ''
                  Required to pay PFML employer portion?: ''
                  EAF Tax Rate: ''
                  Unemployment Rate: ''
                fieldDescription:
                  Employment Security Department Account Number:
                    isMandatory: false
                  Universal Business ID (UBI):
                    isMandatory: false
                  Labor and Industries Account Number:
                    isMandatory: false
                  Required to pay PFML employer portion?:
                    isMandatory: true
                  EAF Tax Rate:
                    isMandatory: false
                  Unemployment Rate:
                    isMandatory: true
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: EmployeeId is Mandatory.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````